using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
    public interface IHostSceneRepository : IRepository<HostScene>
    {
        HostScene Get(int hostID, string groupAddress);

        IQueryable<HostScene> LoadByHostID(int hostID);

        void DeteleByHostID(int hostID);

        void DeteleByRoomTypeScene(int roomTypeSceneID);

        void DeteleByRoomTypeScene(int hostID, int roomTypeSceneID);
    }
}
